# eric3.Debugger.ExceptionsFilterDialog

Module implementing the exceptions filter dialog.

### Classes

ExceptionsFilterDialog | Class implementing the exceptions filter dialog.

### Functions

None

## ExceptionsFilterDialog

Class implementing the exceptions filter dialog.

### Derived from

ExceptionsFilterForm

### Methods

ExceptionsFilterDialog | Constructor
getExceptionsList | Public method to retrieve the list of exception types.
handleAdd | Private slot to handle the Add button press.
handleDelete | Private slot to delete the currently selected exception of the listbox.
handleTextChanged | Private slot to handle the textChanged signal of exceptionEdit.

### ExceptionsFilterDialog (Constructor)

ExceptionsFilterDialog(excList, parent=None)

Constructor

excList
  list of exceptions to be edited (list of strings)
parent
  the parent widget (QWidget)

### ExceptionsFilterDialog.getExceptionsList

getExceptionsList()

Public method to retrieve the list of exception types.

Returns:
  list of exception types (list of strings)

### ExceptionsFilterDialog.handleAdd

handleAdd()

Private slot to handle the Add button press.

### ExceptionsFilterDialog.handleDelete

handleDelete()

Private slot to delete the currently selected exception of the listbox.

### ExceptionsFilterDialog.handleTextChanged

handleTextChanged(txt)

Private slot to handle the textChanged signal of exceptionEdit. This slot sets the enabled status of the add button and sets the forms default button.

txt
  the text entered into exceptionEdit (QString)

Up